import './style/main.scss'
import './style/element.scss'

import { createApp } from 'vue'
import { createPinia } from 'pinia'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

import App from './App.vue'
import router from './router'

// 分页组件
import Pagination from '@/components/Pagination/index.vue'

const app = createApp(App)

app.component('Pagination', Pagination)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app.use(createPinia())
app.use(router)

app.mount('#app')
